'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NavChildItem = exports.NavItem = exports.DefaultContainer = undefined;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  display: flex;\n  flex-direction: row;\n  align-items: stretch;\n'], ['\n  display: flex;\n  flex-direction: row;\n  align-items: stretch;\n']),
    _templateObject2 = (0, _taggedTemplateLiteral3.default)(['\n  font-family: ', ';\n  background: none;\n  border: none;\n  outline: none;\n  border-bottom: 1px solid ', ';\n  padding-left: 0;\n  padding-right: 0;\n  padding-bottom: 6px;\n  margin-top: 24px;\n  margin-bottom: 2px;\n  font-size: 16px;\n  cursor: pointer;\n  ', '\n  &:hover {\n    border-bottom-color: \n  }\n'], ['\n  font-family: ', ';\n  background: none;\n  border: none;\n  outline: none;\n  border-bottom: 1px solid ', ';\n  padding-left: 0;\n  padding-right: 0;\n  padding-bottom: 6px;\n  margin-top: 24px;\n  margin-bottom: 2px;\n  font-size: 16px;\n  cursor: pointer;\n  ', '\n  &:hover {\n    border-bottom-color: \n  }\n']),
    _templateObject3 = (0, _taggedTemplateLiteral3.default)(['\n      margin-top: 0;\n    '], ['\n      margin-top: 0;\n    ']),
    _templateObject4 = (0, _taggedTemplateLiteral3.default)(['\n  font-family: ', ';\n  color: black;\n  text-decoration: none;\n  background: none;\n  border: none;\n  outline: none;\n  padding-left: 0;\n  padding-right: 0;\n  padding-bottom: 0;\n  margin-left: 14px;\n  margin-top: 1px;\n  margin-bottom: 1px;\n  font-size: 12px;\n  font-weight: bold;\n  cursor: pointer;\n  &:hover {\n    border-bottom-color: \n  }\n'], ['\n  font-family: ', ';\n  color: black;\n  text-decoration: none;\n  background: none;\n  border: none;\n  outline: none;\n  padding-left: 0;\n  padding-right: 0;\n  padding-bottom: 0;\n  margin-left: 14px;\n  margin-top: 1px;\n  margin-bottom: 1px;\n  font-size: 12px;\n  font-weight: bold;\n  cursor: pointer;\n  &:hover {\n    border-bottom-color: \n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _styledComponents2 = _interopRequireDefault(_styledComponents);

var _reset = require('../reset');

var reset = _interopRequireWildcard(_reset);

var _Full = require('../Logo/Full');

var _Full2 = _interopRequireDefault(_Full);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DefaultContainer = exports.DefaultContainer = reset.div(_templateObject);

var colors = ['red', 'blue', 'green', 'orange', 'purple'];
var NavItem = exports.NavItem = reset.button(_templateObject2, function (p) {
  return p.theme.typography.fontFamily;
}, function (p) {
  return p.index === undefined ? 'red' : colors[p.index];
}, function (p) {
  return p.index === 0 && (0, _styledComponents.css)(_templateObject3);
});

var NavChildItem = exports.NavChildItem = reset.a(_templateObject4, function (p) {
  return p.theme.typography.fontFamily;
});

var Navigation = function Navigation(_ref) {
  var Container = _ref.Container;
  return _react2.default.createElement(
    Container,
    null,
    items.map(function (item, index) {
      return _react2.default.createElement(NavItem, (0, _extends3.default)({ index: index }, item.props));
    })
  );
};

Navigation.propTypes = process.env.NODE_ENV !== "production" ? {
  Logo: _propTypes2.default.func,
  Container: _propTypes2.default.func,
  ContentSection: _propTypes2.default.func,
  ContentScrollContainer: _propTypes2.default.func,
  ContentContainer: _propTypes2.default.func,
  NavigationSection: _propTypes2.default.func,
  NavigationHeader: _propTypes2.default.func,
  NavigationContent: _propTypes2.default.func,
  NavigationFooter: _propTypes2.default.func,

  children: _propTypes2.default.node.isRequired,
  navigationContent: _propTypes2.default.node,
  navigationFooter: _propTypes2.default.node,

  contentAlignment: _propTypes2.default.oneOf[('center', 'top')],
  fill: _propTypes2.default.oneOf(['screen', 'height'])
} : {};
Navigation.defaultProps = {
  Logo: _Full2.default,
  Container: DefaultContainer,

  contentAlignment: 'center',
  fill: 'screen'
};

exports.default = Navigation;